@ECHO OFF

rem parameter #1: start year (UTC)
rem parameter #2: start month (UTC)
rem parameter #3: start day (UTC)
rem parameter #4: start hour (UTC)
rem parameter #5: run name
rem parameter #6: metfile_1
rem parameter #7: metfile_2
rem parameter #8: metfile_3

del setup.cfg
copy setup_cfg_frac_pbl.txt setup.cfg

rem starting time
ECHO %1 %2 %3 %4           > CONTROL.txt
rem number of starting locations
ECHO 5                    >> CONTROL.txt
rem lat, long, fraction pbl of each start location
ECHO 20.25 -103.05 0.1  >> CONTROL.txt
ECHO 20.25 -103.05 0.3  >> CONTROL.txt
ECHO 20.25 -103.05 0.5  >> CONTROL.txt
ECHO 20.25 -103.05 0.7  >> CONTROL.txt
ECHO 20.25 -103.05 0.9  >> CONTROL.txt

rem number of hours to run trajectory
rem ECHO -24              >> CONTROL.txt

rem changing duration to -48 hours
ECHO -48                  >> CONTROL.txt

rem vertical motion option
rem	(0:data 1:isob 2:isen 3:dens 4:sigma 5:diverg 6:eta)
ECHO 0                    >> CONTROL.txt
rem model top
ECHO 10000.0              >> CONTROL.txt
rem number of meteorological data files
ECHO 3                    >> CONTROL.txt
rem location and name of first met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %6                   >> CONTROL.txt
rem location and name of second met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %7                   >> CONTROL.txt
rem location and name of third met file
ECHO C:/hysplit4/metdata/ >> CONTROL.txt
ECHO %8                   >> CONTROL.txt
rem location and name of trajectory endpoints output file
ECHO ./                   >> CONTROL.txt
ECHO tdump.txt            >> CONTROL.txt
rem delete earlier CONTROL if present
del CONTROL.
rem copy new file to "control"
rename CONTROL.txt control.
rem run hysplit trajectory model, using "control."
..\exec\hyts_std.exe

rem run trajplot to map the trajectory
rem ..\exec\trajplot -itdump.txt -a3 v1

rem will add g0:100 and -h arguments to try to keep projection fixed
rem and have added shapefile backgrounds in order to try to improve the map
..\exec\trajplot -itdump.txt -a3 -g0:200 -h20.0:-103.0 v1 -jshapefiles.txt


rename tdump.txt %5.tdp
rename message. %5.msg
rename trajplot.ps %5.ps
rename control. %5.ctl
rename HYSPLITtraj_ps_01.kml %5.kml
rename TRAJ.CFG %5.cfg
rename setup.cfg %5.sfg

rem mkdir temp
rem move %5.* temp
rem rename temp %5

move %5.* results


